import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { ScheduleComponent, ViewsDirective, ViewDirective, Day, Week, WorkWeek, Month, Agenda, Inject, Resize, DragAndDrop } from '@syncfusion/ej2-react-schedule';

import { extend, Internationalization } from '@syncfusion/ej2-base';
import { DatePickerComponent } from '@syncfusion/ej2-react-calendars';
import { SampleBase } from './sample-base';
import { PropertyPane } from './property-pane';
import * as dataSource from './datasource.json';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
/**
 * Schedule Default sample
 */
export class Default extends SampleBase {
    constructor() {
        super(...arguments);
        this.data = extend([], dataSource.scheduleData, null, true);
        this.instance = new Internationalization();
        this.state={
          meeting_pop_open:true
        }
        this.handleClose=this.handleClose.bind(this)
    }

   majorSlotTemplate(props) {
    return (<div>{this.instance.formatDate(props.date, { skeleton: 'Hm' })}</div>);
  }

   handleClose = () => {
      
        this.setState({ meeting_pop_open: ! this.state.meeting_pop_open })
    };

    render() {
        return (<div className='schedule-control-section'>
        <div className='col-lg-9 control-section'>
          <div className='control-wrapper'>
            <ButtonComponent cssClass='e-primary' onClick={this.handleClose}>Primary</ButtonComponent>

            <ScheduleComponent height='650px' ref={schedule => this.scheduleObj = schedule} selectedDate={new Date(2019, 0, 10)} eventSettings={{ dataSource: this.data }} timeScale={{
                enable: true, majorSlotTemplate: this.majorSlotTemplate.bind(this)}}>
              <ViewsDirective>
                <ViewDirective option='Day'/>
                <ViewDirective option='Week'/>
                <ViewDirective option='WorkWeek'/>
                <ViewDirective option='Month'/>
                <ViewDirective option='Agenda'/>
              </ViewsDirective>
              <Inject services={[Day, Week, WorkWeek, Month, Agenda, Resize, DragAndDrop]}/>
            </ScheduleComponent>
          </div>
        </div>
      </div>);
    }
}

render(<Default />, document.getElementById('sample'));